lucene-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From va...@apache.org
Subject svn commit: r830321 - in /lucene/pylucene/branches/pylucene_2_9/jcc: CHANGES setup.py
Date Tue, 27 Oct 2009 20:03:56 GMT
Author: vajda
Date: Tue Oct 27 20:03:56 2009
New Revision: 830321

URL: http://svn.apache.org/viewvc?rev=830321&view=rev
Log:
 - fixed bug in code comparing setuptools versions when >= 0.6c10
 - verified build against setuptools from distribute 0.6.6

Modified:
    lucene/pylucene/branches/pylucene_2_9/jcc/CHANGES
    lucene/pylucene/branches/pylucene_2_9/jcc/setup.py

Modified: lucene/pylucene/branches/pylucene_2_9/jcc/CHANGES
URL: http://svn.apache.org/viewvc/lucene/pylucene/branches/pylucene_2_9/jcc/CHANGES?rev=830321&r1=830320&r2=830321&view=diff
==============================================================================
--- lucene/pylucene/branches/pylucene_2_9/jcc/CHANGES (original)
+++ lucene/pylucene/branches/pylucene_2_9/jcc/CHANGES Tue Oct 27 20:03:56 2009
@@ -1,3 +1,8 @@
+Version 2.4 -> 2.4.1
+--------------------
+ - fixed bug in code comparing setuptools versions when >= 0.6c10
+ - verified build against setuptools from distribute 0.6.6
+ - 
 
 Version 2.3 -> 2.4
 ------------------

Modified: lucene/pylucene/branches/pylucene_2_9/jcc/setup.py
URL: http://svn.apache.org/viewvc/lucene/pylucene/branches/pylucene_2_9/jcc/setup.py?rev=830321&r1=830320&r2=830321&view=diff
==============================================================================
--- lucene/pylucene/branches/pylucene_2_9/jcc/setup.py (original)
+++ lucene/pylucene/branches/pylucene_2_9/jcc/setup.py Tue Oct 27 20:03:56 2009
@@ -12,7 +12,7 @@
 
 import os, sys, platform, subprocess
 
-jcc_ver = '2.4'
+jcc_ver = '2.4.1'
 python_ver = '%d.%d.%d' %(sys.version_info[0:3])
 machine = platform.machine()
 
@@ -109,10 +109,11 @@
         raise ImportError
     from setuptools import setup, Extension
     from pkg_resources import require
-    with_setuptools = require('setuptools')[0].version
-
+    with_setuptools = require('setuptools')[0].parsed_version
+    
     enable_shared = False
-    if with_setuptools >= '0.6c7' and 'NO_SHARED' not in os.environ:
+    with_setuptools_min = ('00000000', '00000006', '*c', '00000007', '*final')
+    if with_setuptools >= with_setuptools_min and 'NO_SHARED' not in os.environ:
         if platform in ('darwin', 'ipod', 'win32'):
             enable_shared = True
         elif platform == 'linux2':



Mime
View raw message